Subject: cust reocding needed
From: "Mike" <[email-masked]>
To: "Josh Bridges" <[email-masked]>
Date: Thu, 15 Nov 2007 15:03:05 -0500

Josh,
A call was made to a customer for an outstanding balance on their account.  The order was placed back on July 30th.  They are stating they never order the posters and want to hear a recording for proof they did order.  The phone number is 401-331-4343.  Let me know if you can find this.
Also, I tried to call Steven O. Golden from DC to verify the order that had the messed up shipping address.  The number called just rang without an answer.  I didn't want to send out anything until I could verify all of the info.  If you think you may have better luck, please have one of your reps call them to verify both the billing and shipping addresses.  Also, if they moved their office to MD, they are going to want MD posters.  If they have an office in each state, they will need sets of posters for each office that are consistent with the state they are in.  Their phone number is 202-364-4440.  Let me know what you come up with.
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]